> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch matter billing configuration

> Patches the billing configuration for the specified matter.



## OpenAPI

````yaml /openapi.json patch /matters/{matterId}/billingconfiguration
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /matters/{matterId}/billingconfiguration:
    patch:
      tags:
        - Matters
      summary: Patch matter billing configuration
      description: Patches the billing configuration for the specified matter.
      operationId: PatchBillingConfigurationAsync
      parameters:
        - name: matterId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/BillingConfigurationDto'
          application/json:
            schema:
              $ref: '#/components/schemas/BillingConfigurationDto'
          application/*+json:
            schema:
              $ref: '#/components/schemas/BillingConfigurationDto'
      responses:
        '202':
          description: >-
            When request is accepted. Returns a hypermedia 'Link' object of the
            billing configuration to be patched.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Link'
        '400':
          description: When an unsupported request is made.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: >-
            When matter with specified id is not associated with authenticated
            client.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: When the specified billing configuration does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    BillingConfigurationDto:
      type: object
      properties:
        billingType:
          allOf:
            - $ref: '#/components/schemas/BillingTypeEnum'
          description: "The billing type.\r\n\r\nPossible values: \r\nNone = 0, \r\nFixed Fee = 1, \r\nFixed Fee per Appearance = 2, \r\nTime Based = 3, \r\nContingency Dollars = 4, \r\nContingency Percent = 5, \r\nNot Billable = 6,\r\nConditionalFeeAgreement = 7"
          example: 1
        amount:
          type: number
          description: "The amount (currency).\r\n\r\nOnly applicable when BillingType is 'Fixed Fee', 'Fixed Fee per Apperance', 'Contingency ($)' or 'Time Based'."
          format: double
          example: 142.31
        contingencyAmount:
          type: number
          description: "The contingency amount (percentage). \r\n\r\nOnly applicable when BillingType is 'Contingency Percent'."
          format: double
          example: 32
        disbursementAmount:
          type: number
          description: "The disbursement amount (currency).\r\n\r\nOnly applicable when BillingType is 'Fixed Fee', 'Fixed Fee per Apperance', 'Contingency ($)' or 'Time Based'.\r\n\r\nOnly supported in the UK."
          format: double
          example: 520.67
        debtorIds:
          type: array
          items:
            type: string
          description: >-
            The matter debtors. Must be valid contact id(s) and a maximum of 3
            debtors can be set.
          nullable: true
        isUtbmsEnabled:
          type: boolean
          description: "True if Uniform Task Based Management (UTBMS) is enabled for this matter.\r\n\r\nOnly supported in the US."
          example: true
        ledesFirmId:
          type: string
          description: "The associated Legal Electronic Data Exchange Standard (LEDES) firm.\r\n\r\nOnly supported in the US."
          nullable: true
          example: '100558'
        ledesMatterId:
          type: string
          description: "The associated Legal Electronic Data Exchange Standard (LEDES) matter.\r\n\r\nOnly supported in the US."
          nullable: true
          example: '100558'
        ledesClientMatterId:
          type: string
          description: "The associated Legal Electronic Data Exchange Standard (LEDES) client matter.\r\n\r\nOnly supported in the US."
          nullable: true
          example: '100558'
        ledesTimekeeperClassificationType:
          allOf:
            - $ref: '#/components/schemas/TimekeeperClassificationType'
          description: "The associated Legal Electronic Data Exchange Standard (LEDES) classification type.\r\n            \r\nPossible values: Length6 = 0, Length2 = 1, UseFirmDefault = 2.\r\n            \r\nOnly supported in the US."
          example: 0
        rateSetId:
          type: string
          description: "The RateSet Id.\r\n\r\nOnly supported in the UK."
          nullable: true
          example: '100558'
      additionalProperties: false
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    BillingTypeEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
      type: integer
      description: "The billing type.\r\n\r\nPossible values: \r\nNone = 0, \r\nFixed Fee = 1, \r\nFixed Fee per Appearance = 2, \r\nTime Based = 3, \r\nContingency Dollars = 4, \r\nContingency Percent = 5, \r\nNot Billable = 6,\r\nConditionalFeeAgreement = 7"
      format: int32
    TimekeeperClassificationType:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: "The associated Legal Electronic Data Exchange Standard (LEDES) classification type.\r\n            \r\nPossible values: Length6 = 0, Length2 = 1, UseFirmDefault = 2.\r\n            \r\nOnly supported in the US."
      format: int32
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````